Bug 443848 - sends mails with base64 encoding
sends mails with base64 encoding
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 13:42 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:00:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-04-23 13:42:29 EDT
Description of problem:

I'm noticing on various mailing lists that Evo is sending mail with:

Content-Type: text/plain; charset="utf8"
Content-Transfer-Encoding: base64

That seems needlessly baroque, and probably makes various search agents not very
useful.

Version-Release number of selected component (if applicable):

X-Mailer: Evolution 2.22.1 (2.22.1-1.fc9)
Comment 1 Milan Crha 2008-04-24 06:09:59 EDT
Evolution is trying to send as smallest message as possible, thus calculates
which encoding will be that one for the exact message text, choosing between
7BIT, QUOTEDPRINTABLE and BASE64. Based on the code, all depends on the number
of characters with ordinary code greater than 127. It compares text encoded to
UTF-8.

Regarding to search agents, even with QUOTEDPRINTABLE you need to decode message
body, because otherwise you will not be able to search for words with accents,
so I believe it makes no difference for them at all. I agree it makes a
difference for grep or similar tool.

Is this explanation OK for you? The same behavior is there for years now.
Comment 2 Bill Nottingham 2008-04-24 09:47:27 EDT
Hm, why wouldn't you just do 8BIT, though? Other mail agents send this just fine.
Comment 3 Matthew Barnes 2009-01-27 12:16:37 EST
Is there a particular example of this you can point me to?

I know Evolution makes it a point to listen for the 8BIT extension from ESMTP servers, but perhaps it's encoding the text anyway.  Left hand not knowing what the right is doing, etc.
Comment 5 Mike Chambers 2009-03-07 09:32:48 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you. 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Bill Nottingham 2009-03-09 15:37:20 EDT
I did reply; since the mail example was from a non-public list, it was a private comment. Sorry about the confusion.
Comment 7 Bug Zapper 2009-06-09 20:23:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 12:00:03 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.